perl-Dist-Zilla-Plugin-OurPkgVersion-0.210.0-1.mga8.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-OurPkgVersion - No line insertion and does Package version with our

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-Dist-Zilla-Plugin-OurPkgVersion-0.210.0-1.mga8.noarch.rpm
Package name perl-Dist-Zilla-Plugin-OurPkgVersion
Package version 0.210.0
Package release 1.mga8
Package architecture noarch
Package type rpm
Category Development/Perl
Homepage http://metacpan.org/release/Dist-Zilla-Plugin-OurPkgVersion
License GPL+ or Artistic
Maintainer -
Download size 23.64 KB
Installed size 40.55 KB
This module was created as an alternative to the
Dist::Zilla::Plugin::PkgVersion manpage and uses some code from that
module. This module is designed to use a the more readable format 'our
$VERSION = $version;' as well as not change then number of lines of code in
your files, which will keep your repository more in sync with your CPAN
release. It also allows you slightly more freedom in how you specify your
version.
EXAMPLES
in dist.ini
...
version = 0.01;
[OurPkgVersion]

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-OurPkgVersion-0.210.0-1.mga8.noarch.rpm 0.210.0 noarch Mageia Core
perl-Dist-Zilla-Plugin-OurPkgVersion - - -

Requires

Name Value
perl >= 1:5.014
perl(Carp) -
perl(Dist::Zilla) >= 6.0.0
perl(Dist::Zilla::Role::FileFinderUser) -
perl(Dist::Zilla::Role::FileMunger) -
perl(Dist::Zilla::Role::PPI) -
perl(Moose) -
perl(MooseX::Types::Perl) -
perl(PPI) -
perl(namespace::autoclean) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.28.2

Provides

Name Value
perl(Dist::Zilla::Plugin::OurPkgVersion) == 0.210.0
perl-Dist-Zilla-Plugin-OurPkgVersion == 0.210.0-1.mga8

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-Dist-Zilla-Plugin-OurPkgVersion-0.210.0-1.mga8.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-OurPkgVersion-0.210.0-1.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-OurPkgVersion rpm package:
    # urpmi perl-Dist-Zilla-Plugin-OurPkgVersion

Files

Path
/usr/share/doc/perl-Dist-Zilla-Plugin-OurPkgVersion/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-OurPkgVersion/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-OurPkgVersion/META.json
/usr/share/doc/perl-Dist-Zilla-Plugin-OurPkgVersion/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-OurPkgVersion/MYMETA.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-OurPkgVersion/README
/usr/share/man/man3/Dist::Zilla::Plugin::OurPkgVersion.3pm.xz
/usr/share/perl5/vendor_perl/Dist/
/usr/share/perl5/vendor_perl/Dist/Zilla/
/usr/share/perl5/vendor_perl/Dist/Zilla/Plugin/OurPkgVersion.pm

Changelog

2019-07-19 - tv <tv> 0.210.0-1.mga8
+ Revision: 1422873
- update to 0.21
2019-06-29 - shlomif <shlomif> 0.200.0-1.mga8
+ Revision: 1415512
- update to 0.20
2019-04-17 - shlomif <shlomif> 0.150.0-1.mga7
+ Revision: 1392452
- update to 0.15
2019-02-06 - tv <tv> 0.140.0-1.mga7
+ Revision: 1363537
- update to 0.14
2018-09-20 - umeabot <umeabot> 0.120.0-3.mga7
+ Revision: 1283159
- Mageia 7 Mass Rebuild
2017-10-02 - tv <tv> 0.120.0-2.mga7
+ Revision: 1164258
- rebuild with fixed rpm for missing autodeps
2017-09-25 - sander85 <sander85> 0.120.0-1.mga7
+ Revision: 1159831
- update to 0.12

See Also

Package Description
perl-Dist-Zilla-Plugin-PerlTidy-0.210.0-4.mga7.noarch.rpm Perltidy your dist
perl-Dist-Zilla-Plugin-PkgVersion-Block-0.20.0-2.mga7.noarch.rpm PkgVersion for block packages
perl-Dist-Zilla-Plugin-Pod2Readme-0.4.0-2.mga7.noarch.rpm Generate README from Pod, as simply as possible
perl-Dist-Zilla-Plugin-PodLoom-5.1.0-4.mga7.noarch.rpm Process module documentation through Pod::Loom
perl-Dist-Zilla-Plugin-PodPurler-0.93.401-7.mga7.noarch.rpm Like PodWeaver, but more erratic and amateurish
perl-Dist-Zilla-Plugin-PodWeaver-4.8.0-3.mga7.noarch.rpm Do horrible things to POD, producing better docs
perl-Dist-Zilla-Plugin-Prepender-2.4.0-3.mga7.noarch.rpm prepend lines at the top of your perl files
perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-2.mga7.noarch.rpm Add Dist::Zilla authordeps to META files as develop prereqs
perl-Dist-Zilla-Plugin-Prereqs-FromCPANfile-0.80.0-4.mga7.noarch.rpm Parse cpanfile for prereqs
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-1.1.3-2.mga7.noarch.rpm Depend on versions of modules the same as you have installed
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.1-2.mga7.noarch.rpm Upgrade ALL your dependencies to the ones you have installed
perl-Dist-Zilla-Plugin-Prereqs-Plugins-1.3.3-2.mga7.noarch.rpm Add all Dist::Zilla plugins presently in use as prerequisites
perl-Dist-Zilla-Plugin-Prereqs-Recommend-MatchInstalled-0.3.3-3.mga7.noarch.rpm Advertise versions of things you have as soft dependencies
perl-Dist-Zilla-Plugin-Prereqs-Soften-0.6.3-3.mga7.noarch.rpm Downgrade listed dependencies to recommendations if present
perl-Dist-Zilla-Plugin-Prereqs-SyncVersions-0.3.2-2.mga7.noarch.rpm Homogenize prerequisites so dependency versions are consistent
Advertisement
Advertisement